Subject: Re: [RFC 0/7] selftests: kselftest_harness: use common result printing helper

From: Kees Cook <[email-masked]>
Date: Fri, 16 Feb 2024 17:48:13 -0800

On February 16, 2024 5:26:21 PM PST, Jakub Kicinski <[email-masked]> wrote:
>On Fri, 16 Feb 2024 16:33:04 -0800 Jakub Kicinski wrote:
>> On Fri, 16 Feb 2024 16:31:19 -0800 Jakub Kicinski wrote:
>> > Let's see if I can code this up in 30 min. While I do that can you 
>> > ELI5 what XPASS is for?! We'll never going to use it, right?  
>> 
>> Oh, it's UNexpected pass. Okay. So if we have a case on a list of
>> expected failures and it passes we should throw xpass.

Right: it's still "ok" but it identifies something worth looking at ("why did this start passing?")

>
>I got distracted from this distraction :S
>Is this along the lines of what you had in mind?
>Both my series need to be rejigged to change the paradigm 
>but as a PoC on top of them:

Oh yeah! This looks good. I will give it a spin tomorrow.

-Kees

-- 
Kees Cook